Index

## Global Objects

- rap
- SWT

## Types

- $
- Button
- Canvas
- Client
- Combo
- Composite
- Control
- Event
- Label
- ProgressBar
- RemoteObject
- Scale
- ScrolledComposite
- Slider
- Spinner
- Text
- Widget

# Type ScrolledComposite

Extends Control.
RWT Scripting analoge to org.eclipse.swt.custom.ScrolledComposite

Type Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| ScrolledComposite() The constructor is not public.

Fields borrowed from class Widget:
  $el

Method Summary
Method Attributes | Method Name and Description
--- | ---
| getOrigin() Returns the 'origin', which is the receiver's scroll position.
| setOrigin(x, y) Sets the 'origin', which is the receiver's scroll position.

Methods borrowed from class Control:
  addListener, forceFocus, getBackground, getCursor, getEnabled, getForeground, getToolTipText, getVisible, removeListener, setBackground, setEnabled, setForeground, setToolTipText, setVisible
Methods borrowed from class Widget:
  getData, setData

Events borrowed from class Control:
  Dispose, FocusIn, FocusOut, Hide, KeyDown, KeyUp, MouseDoubleClick, MouseDown, MouseEnter, MouseExit, MouseMove, MouseUp, MouseWheel, Paint, Show

Type Detail
ScrolledComposite()
The constructor is not public.

Since:
  3.2

Method Detail
{[int|int]} getOrigin()
Returns the 'origin', which is the receiver's scroll position.

Returns:
  {[int|int]} the origin

{int|int} setOrigin(x, y)
Sets the 'origin', which is the receiver's scroll position.

Parameters:
x
y

Returns:
  {int|int} the origin

Copyright (c) EclipseSource and others 2013, 2022. All rights reserved.